Tradelog Data

Learn how to use the ASX Energy Tradelog data endpoint

Base Endpoint

GET https://asxenergy.com.au/api/tradelog

Parameters

Name Type Mandatory Description
market STRING YES (mutually exclusive with futures and options) Accepted Market codes:
  • au_electricity
  • nz_electricity
  • au_gas
  • au_environmental
  • nz_environmental
futures STRING YES (mutually exclusive with market and options) Accepted Futures codes:
  • Initial code. E.g. BNH, EVJ
  • Exact code. E.g. HNZ2026, GNU2025F
options STRING YES (mutually exclusive with futures and market) Accepted Options codes:
  • Initial code. E.g. HNZ, EEM2025, EAZ2026C
  • Exact code. E.g. BNM2025C0016000
date STRING NO Date in format yyyymmdd.
Default value: the latest date available of the specified code or market.

Note: Exactly one of market, futures, or options must be provided in each request. If multiple parameters are specified, the request will be rejected.

Access-Based Data Retrieval

The API enforces different data retrieval rules depending on the user's access level:

  • Users with Historical data access can specify a date in the query parameter, and the API will return data for that specific date.
  • Users with End-of-day data access always receive the data of the latest available date, regardless of the date query parameter.

CSV Support

The API supports CSV-formatted responses when requested via the Accept header.
To receive data in CSV format, set the following header in your request:

Accept: text/csv

Examples

Electricity codes:

  • Request:
  • GET https://asxenergy.com.au/api/tradelog?market=au_electricity&date=20250219
    
  • JSON Response:
  • {
        "date": "20250219",
        "summary": {
            "trades": "387",
            "volume": "1438",
            "traded_mwh": "4669431",
            "face_value": "457633116.96"
        },
        "data": [
            {
                "date": "20250219",
                "time": "10:04:19",
                "code": "HNM2026F",
                "trade_type": "N",
                "volume": "2",
                "price": "121.85",
                "hours": "8760",
                "face_value": "2134812.00"
            },
            // ...
        ]
    }
    
  • CSV Response:
  • date,time,code,trade_type,volume,price,hours,face_value
    20250219,10:04:19,HNM2026F,N,2,121.85,8760,2134812.00
    20250219,10:04:19,BNU2025F,Z,2,122.82,2208,542373.12
    20250219,10:04:19,BNZ2025F,Z,2,109.56,2208,483816.96
    20250219,10:04:19,BNH2026F,Z,2,126.33,2160,545745.60
    ...
    

Other codes:

  • Request:
  • GET https://asxenergy.com.au/api/tradelog?market=au_gas
    
  • JSON Response:
  • {
        "date": "20250324",
        "summary": {
            "trades": "1",
            "volume": "5",
            "traded_mwh": "0",
            "face_value": "0.00"
        },
        "data": [
            {
                "date": "20250324",
                "time": "13:35:24",
                "code": "GZJ2025F",
                "trade_type": "B",
                "volume": "5",
                "price": "14.50"
            }
        ]
    }
    
  • CSV Response:
  • date,time,code,trade_type,volume,price
    20250324,13:35:24,GZJ2025F,B,5,14.50